import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/user-link/vue";
import { defineComponent, props, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
import Popover from "@dft-vue-2-opentiny/vue-popover";
import Loading from "@dft-vue-2-opentiny/vue-loading";
import { IconChevronDown, IconChevronUp } from "@dft-vue-2-opentiny/vue-icon";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  props: [].concat(props, ["fetchUser", "fetchW3Accounts", "getUserImageUrl", "fetchUserByUserId", "userCache", "valueSplit", "card", "textSplit", "textField", "valueField", "modelValue", "service", "cache", "cacheKey", "cacheFields", "batch"]),
  components: {
    TinyPopover: Popover,
    IconChevronDown: IconChevronDown(),
    IconChevronUp: IconChevronUp()
  },
  directives: {
    loading: Loading.directive
  },
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-userlink"
  }, _vm._l(_vm.state.options, function(user, index) {
    return _c("li", {
      key: index
    }, [!_vm.card ? _c("span", [_vm._v(_vm._s(user[_vm.textField] + (index !== _vm.state.options.length - 1 ? _vm.textSplit : "")))]) : _c("tiny-popover", {
      attrs: {
        "trigger": "click",
        "visible-arrow": false,
        "placement": "bottom-start",
        "popper-class": "tiny-user-card"
      },
      scopedSlots: _vm._u([{
        key: "reference",
        fn: function fn() {
          return [_c("a", {
            on: {
              "click": function click($event) {
                return _vm.showCard($event, user);
              }
            }
          }, [_vm._v(_vm._s(user[_vm.textField] + (index !== _vm.state.options.length - 1 ? _vm.textSplit : "")) + " ")])];
        },
        proxy: true
      }], null, true)
    }, [_c("div", {
      directives: [{
        name: "loading",
        rawName: "v-loading",
        value: _vm.state.spinner,
        expression: "state.spinner"
      }],
      staticClass: "card-box"
    }, [_c("div", {
      staticClass: "card-box__header"
    }), _c("div", {
      staticClass: "card-box__body"
    }, [_c("div", {
      staticClass: "card-top-img"
    }, [_c("img", {
      attrs: {
        "src": _vm.state.imgUrl
      }
    })]), _c("div", {
      staticClass: "card-top-text"
    }, [_c("span", [_vm._v(_vm._s(_vm.state.data.english_Name))]), _c("span", [_vm._v("(" + _vm._s(_vm.state.data.last_Name) + ")")]), _c("p", [_vm._v(_vm._s(_vm.t("ui.usercard.empno")) + ":" + _vm._s(_vm.state.data.employee_Number))]), _c("p", [_vm._v(_vm._s(_vm.state.data.l4_Name) + "(" + _vm._s(_vm.state.data.l1_Name) + ")")])]), _c("div", {
      staticClass: "card-center"
    }, [_c("p", [_c("strong", [_vm._v(_vm._s(_vm.t("ui.usercard.phone")))]), _vm._v("：" + _vm._s(_vm.state.data.person_Phone_Code) + " ")]), _c("p", [_c("strong", [_vm._v(_vm._s(_vm.t("ui.usercard.internal")))]), _vm._v("：" + _vm._s(_vm.state.data.person_Internal_Code) + " ")]), _c("p", [_c("strong", [_vm._v(_vm._s(_vm.t("ui.usercard.mobile")))]), _vm._v("：" + _vm._s(_vm.state.data.person_Mobile_Code) + " ")]), _c("p", [_c("strong", [_vm._v(_vm._s(_vm.t("ui.usercard.email")))]), _vm._v("："), _c("a", {
      attrs: {
        "href": "mailto:" + _vm.state.data.person_Mail
      }
    }, [_vm._v(_vm._s(_vm.state.data.person_Mail))])]), _c("p", [_c("strong", [_vm._v(_vm._s(_vm.t("ui.usercard.address")))]), _vm._v("：" + _vm._s(_vm.state.data.person_Location) + " ")])]), _c("div", {
      directives: [{
        name: "show",
        rawName: "v-show",
        value: _vm.state.expand,
        expression: "state.expand"
      }],
      staticClass: "card-center"
    }, [_c("p", [_c("strong", [_vm._v(_vm._s(_vm.t("ui.usercard.manager")))]), _vm._v("：" + _vm._s(_vm.state.data.organization_manager) + " ")]), _c("p", [_c("strong", [_vm._v(_vm._s(_vm.t("ui.usercard.viop")))]), _vm._v("：" + _vm._s(_vm.state.data.person_Viop) + " ")]), _c("p", [_c("strong", [_vm._v(_vm._s(_vm.t("ui.usercard.fax")))]), _vm._v("：" + _vm._s(_vm.state.data.person_Fax_Code) + " ")]), _c("p", [_c("strong", [_vm._v(_vm._s(_vm.t("ui.usercard.travelcode")))]), _vm._v("：" + _vm._s(_vm.state.data.person_Travel_Code) + " ")]), _c("p", [_c("strong", [_vm._v(_vm._s(_vm.t("ui.usercard.timezone")))]), _vm._v("：" + _vm._s(_vm.state.data.person_Difference_Time) + " ")]), _c("p", [_c("strong", [_vm._v(_vm._s(_vm.t("ui.usercard.other")))]), _vm._v("：" + _vm._s(_vm.state.data.person_Other) + " ")])])]), _c("div", {
      staticClass: "box__footer",
      on: {
        "click": _vm.showDetail
      }
    }, [_c("div", {
      directives: [{
        name: "show",
        rawName: "v-show",
        value: !_vm.state.expand,
        expression: "!state.expand"
      }]
    }, [_vm._v(_vm._s(_vm.t("ui.usercard.expand")) + " "), _c("IconChevronDown")], 1), _c("div", {
      directives: [{
        name: "show",
        rawName: "v-show",
        value: _vm.state.expand,
        expression: "state.expand"
      }]
    }, [_vm._v(_vm._s(_vm.t("ui.usercard.collapse")) + " "), _c("IconChevronUp")], 1)])])])], 1);
  }), 0);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
